.. highlight:: cpp

Exceptions
==========

.. doxygenclass:: orcus::general_error
   :members:

.. doxygenclass:: orcus::invalid_arg_error
   :members:

.. doxygenclass:: orcus::xml_structure_error
   :members:

.. doxygenclass:: orcus::json_structure_error
   :members:

.. doxygenclass:: orcus::invalid_map_error
   :members:

.. doxygenclass:: orcus::value_error
   :members:

.. doxygenclass:: orcus::xpath_error
   :members:

.. doxygenclass:: orcus::interface_error
   :members:

.. doxygenclass:: orcus::parse_error
   :members:

.. doxygenclass:: orcus::malformed_xml_error
   :members:

.. doxygenclass:: orcus::zip_error
   :members:
